Subject: Re: What's cooking in git.git (Mar 2021, #08; Tue, 30)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 31 Mar 2021 12:16:03 +0200

On Wed, Mar 31 2021, Junio C Hamano wrote:

Notes on my outstanding things that you've picked up:

> * ab/userdiff-tests (2021-03-23) 10 commits
>  - blame tests: simplify userdiff driver test
>  - blame tests: don't rely on t/t4018/ directory
>  - userdiff: remove support for "broken" tests
>  - userdiff tests: list builtin drivers via test-tool
>  - userdiff tests: explicitly test "default" pattern
>  - userdiff: add and use for_each_userdiff_driver()
>  - userdiff style: normalize pascal regex declaration
>  - userdiff style: declare patterns with consistent style
>  - userdiff style: re-order drivers in alphabetical order
>  - userdiff: refactor away the parse_bool() function
>
>  A bit of code clean-up and a lot of test clean-up around userdiff
>  area.
>
>  A reroll promised "at some point".
>  cf. <[email-masked]>

Sooner than later FWIW, have it on my "do it soon!" todo list.

> * ab/make-tags-quiet (2021-03-27) 1 commit
>  - Makefile: add QUIET_GEN to "tags" and "TAGS" targets

FWIW I think the status on your side (and I'll re-roll) is "waiting on
re-rolled commit message", per
https://lore.kernel.org/git/[email-masked]/

> * ab/fsck-api-cleanup (2021-03-28) 19 commits
>  - fetch-pack: use new fsck API to printing dangling submodules
>  - fetch-pack: use file-scope static struct for fsck_options
>  - fetch-pack: don't needlessly copy fsck_options
>  - fsck.c: move gitmodules_{found,done} into fsck_options
>  - fsck.c: add an fsck_set_msg_type() API that takes enums
>  - fsck.c: pass along the fsck_msg_id in the fsck_error callback
>  - fsck.[ch]: move FOREACH_FSCK_MSG_ID & fsck_msg_id from *.c to *.h
>  - fsck.c: give "FOREACH_MSG_ID" a more specific name
>  - fsck.c: undefine temporary STR macro after use
>  - fsck.c: call parse_msg_type() early in fsck_set_msg_type()
>  - fsck.h: re-order and re-assign "enum fsck_msg_type"
>  - fsck.h: move FSCK_{FATAL,INFO,ERROR,WARN,IGNORE} into an enum
>  - fsck.c: refactor fsck_msg_type() to limit scope of "int msg_type"
>  - fsck.c: rename remaining fsck_msg_id "id" to "msg_id"
>  - fsck.c: remove (mostly) redundant append_msg_id() function
>  - fsck.c: rename variables in fsck_set_msg_type() for less confusion
>  - fsck.h: use "enum object_type" instead of "int"
>  - fsck.h: use designed initializers for FSCK_OPTIONS_{DEFAULT,STRICT}
>  - fsck.c: refactor and rename common config callback
>
>  Fsck API clean-up.
>
>  Will merge to 'next'?
>  cf. <[email-masked]>

Hopefully :)

> * ab/unexpected-object-type (2021-03-27) 10 commits
>  - tag: don't misreport type of tagged objects in errors
>  - object tests: add test for unexpected objects in tags
>  - object.c: add and use oid_is_type_or_die_msg() function
>  - object.c: add a utility function for "expected type X, got Y"
>  - tree.c: fix misindentation in parse_tree_gently()
>  - object-name.c: make dependency on object_type order more obvious
>  - object-file.c: make oid_object_info() return "enum object_type"
>  - object.c: make type_from_string() return "enum object_type"
>  - object.c: refactor type_from_string_gently()
>  - object.c: stop supporting len == -1 in type_from_string_gently()
>
>  Error reporting upon object type mismatch has been improved
>
>  cf. <[email-masked]>
>  ... we would be much better off to say something like "somebody
>  expected X to be a commit, but now somebody else expects it to be a
>  blob", which is all that we can reliably say.

I suggested in
https://lore.kernel.org/git/[email-masked]/ that my
code is fine and I shouldn't change anything, but let's see what Jeff
King thinks :)

You also had a nit/refactoring suggestion in
https://lore.kernel.org/git/[email-masked]/ will wait on
Jeff's reply though...

> * ab/describe-tests-fix (2021-03-01) 10 commits
>  - test-lib: return 1 from test_expect_{success,failure}
>  - svn tests: refactor away a "set -e" in test body
>  - svn tests: remove legacy re-setup from init-clone test
>  - describe tests: support -C in "check_describe"
>  - describe tests: fix nested "test_expect_success" call
>  - describe tests: convert setup to use test_commit
>  - test-lib functions: add an --annotated-tag option to "test_commit"
>  - describe tests: always assert empty stderr from "describe"
>  - describe tests: refactor away from glob matching
>  - describe tests: improve test for --work-tree & --dirty
>
>  Various updates to tests around "git describe"
>
>  Expecting a reroll.
>  cf. <[email-masked]>

Yes, I said in the last What's Cooking I'd do this soon, still
outstanding sorry, ...

> * ab/pickaxe-pcre2 (2021-02-18) 24 commits
>  - pickaxe -G: don't special-case create/delete
>  - pickaxe -G: terminate early on matching lines
>  - xdiff-interface: support early exit in xdiff_outf()
>  - xdiff-interface: allow early return from xdiff_emit_{line,hunk}_fn
>  - pickaxe -S: slightly optimize contains()
>  - pickaxe: rename variables in has_changes() for brevity
>  - pickaxe -S: support content with NULs under --pickaxe-regex
>  - pickaxe: assert that we must have a needle under -G or -S
>  - pickaxe: refactor function selection in diffcore-pickaxe()
>  - perf: add performance test for pickaxe
>  - pickaxe/style: consolidate declarations and assignments
>  - diff.h: move pickaxe fields together again
>  - pickaxe: die when --find-object and --pickaxe-all are combined
>  - pickaxe: die when -G and --pickaxe-regex are combined
>  - pickaxe tests: test for -G, -S and --find-object incompatibility
>  - pickaxe tests: add test for "log -S" not being a regex
>  - pickaxe tests: add test for diffgrep_consume() internals
>  - pickaxe tests: refactor to use test_commit --append --printf
>  - test-lib functions: add --printf option to test_commit
>  - test-lib-functions: reword "test_commit --append" docs
>  - test-lib-functions: document and test test_commit --no-tag
>  - grep/pcre2 tests: reword comments referring to kwset
>  - Merge branch 'jk/rev-list-disk-usage' into ab/pickaxe-pcre2
>  - Merge branch 'ab/test-lib' into ab/pickaxe-pcre2
>
>  Rewrite the backend for "diff -G/-S" to use pcre2 engine when
>  available.
>
>  Needs (hopefully the final round of) review.

That's the note from the last What's Cooking, but since then you've
reviewed it in
https://lore.kernel.org/git/[email-masked]/

Needs a re-roll per that, just noting the changed status here.